%define upstream_name    Module-Install-RequiresList
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Report prerequisite modules and version numbers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::YAML)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::All)
BuildArch: noarch

%description
This module adds a target to your Makefile for listing the modules
required.

The report is broken into sections: Required, Recommended, Build Requires,
and Author Requires.

For each module listed, the report prints 3 versions: the version you are
requesting, your installed version and the CPAN version.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml Changes README LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Mon Jan 30 2012 shlomif <shlomif> 0.100.0-1.mga2
+ Revision: 203504
- imported package perl-Module-Install-RequiresList


* Sat Jan 21 2012 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
